// dcmWinQRscuDlg.h : header file
//

#if !defined(AFX_DCMWINQRSCUDLG_H__A08F6B6B_136B_11D3_9FA1_00A024D927BE__INCLUDED_)
#define AFX_DCMWINQRSCUDLG_H__A08F6B6B_136B_11D3_9FA1_00A024D927BE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDcmWinQRscuDlg dialog

class CDcmWinQRscuDlg : public CDialog
{
// Construction
public:
	CDcmWinQRscuDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDcmWinQRscuDlg)
	enum { IDD = IDD_DCMWINQRSCU_DIALOG };
  CEdit	m_logctrl;
  CString	m_host;
  CString	m_port;
  int	m_timeOut;
  CString	m_localAET;
  CString	m_remoteAET;
  CString	m_destAET;
  int		m_infoModel;
  int		m_qrLevel;
  int		m_priority;
  BOOL	m_showCommand;
  BOOL	m_showDataSet;
  BOOL  m_bPatname;
  BOOL  m_bPatid;
  BOOL  m_bPatbirth;
  BOOL  m_bPatsex;
  BOOL  m_bStudydate;
  BOOL  m_bStudytime;
  BOOL  m_bStudyaccess;
  BOOL  m_bStudyid;
  BOOL  m_bStudyuid;
  BOOL  m_bStudyrefp;
  BOOL  m_bStudydesc;
  BOOL  m_bStudyreadp;
  BOOL  m_bStudyimagen;
  BOOL  m_bModality;
  BOOL  m_bSeriesno;
  BOOL  m_bSeriesuid;
  BOOL  m_bBodypart;
  BOOL  m_bImageno;
  BOOL  m_bSopuid;
  CString m_strPatname;
  CString m_strPatid;
  CString m_strPatbirth;
  CString m_strPatsex;
  CString m_strStudydate;
  CString m_strStudytime;
  CString m_strStudyaccess;
  CString m_strStudyid;
  CString m_strStudyuid;
  CString m_strStudyrefp;
  CString m_strStudydesc;
  CString m_strStudyreadp;
  CString m_strStudyimagen;
  CString m_strModality;
  CString m_strSeriesno;
  CString m_strSeriesuid;
  CString m_strBodypart;
  CString m_strImageno;
  CString m_strSopuid;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDcmWinQRscuDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
  void makeKey(DataSet* key) const;
  void enableButtons();
	// Generated message map functions
	//{{AFX_MSG(CDcmWinQRscuDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
  afx_msg void OnClearLog();
  afx_msg void OnCloseAssoc();
  afx_msg void OnOpenAssoc();
  afx_msg void OnCecho();
  afx_msg void OnCfind();
  afx_msg void OnCmove();
  afx_msg void OnSelectAll();
  afx_msg void OnCancelSel();
	afx_msg void OnSelendok();
	//}}AFX_MSG
  afx_msg void OnSelect(UINT nID);
	DECLARE_MESSAGE_MAP()

virtual void OnOK();
private:
  HICON m_hIcon;
  PDU_Service m_pdu;
  BOOL m_echoSOP;
  BOOL m_patFindSOP;
  BOOL m_studyFindSOP;
  BOOL m_psOnlyFindSOP;
  BOOL m_patMoveSOP;
  BOOL m_studyMoveSOP;
  BOOL m_psOnlyMoveSOP;
  WinDumper m_dumper;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DCMWINQRSCUDLG_H__A08F6B6B_136B_11D3_9FA1_00A024D927BE__INCLUDED_)
