// dcmWinQRscuDlg.cpp : implementation file
//

#include "stdafx.h"
#include "dcmWinQRscu.h"
#include "dcmWinQRscuDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDcmWinQRscuDlg dialog

CDcmWinQRscuDlg::CDcmWinQRscuDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDcmWinQRscuDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDcmWinQRscuDlg)
  m_host = _T("little");//_T("127.0.0.1");
  m_port = _T("5678");//("5000");
  m_timeOut = 300;
  m_localAET = _T("callerAET");
  m_remoteAET = _T("callingAET");
  m_destAET = _T("moveDestAET");
  m_priority = 0;
  m_infoModel = 1;
  m_qrLevel = 1;
  m_showCommand = TRUE;
  m_showDataSet = TRUE;
  m_bPatname = FALSE;
  m_bPatid = FALSE;
  m_bPatbirth = FALSE;
  m_bPatsex = FALSE;
  m_bStudydate = FALSE;
  m_bStudytime = FALSE;
  m_bStudyaccess = FALSE;
  m_bStudyid = FALSE;
  m_bStudyuid = FALSE;
  m_bStudyrefp = FALSE;
  m_bStudydesc = FALSE;
  m_bStudyreadp = FALSE;
  m_bStudyimagen = FALSE;
  m_bModality = FALSE;
  m_bSeriesno = FALSE;
  m_bSeriesuid = FALSE;
  m_bBodypart = FALSE;
  m_bImageno = FALSE;
  m_bSopuid = FALSE;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
  m_echoSOP = m_patFindSOP = m_studyFindSOP = m_psOnlyFindSOP =
    m_patMoveSOP = m_studyMoveSOP = m_psOnlyMoveSOP = FALSE;
}

void CDcmWinQRscuDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDcmWinQRscuDlg)
  DDX_Control(pDX, IDC_EDIT_LOG, m_logctrl);
  DDX_Text(pDX, IDC_HOST, m_host);
  DDX_Text(pDX, IDC_PORT, m_port);
  DDX_Text(pDX, IDC_TIMEOUT, m_timeOut);
  DDX_Text(pDX, IDC_LOCAL_AET, m_localAET);
  DDX_Text(pDX, IDC_REMOTE_AET, m_remoteAET);
  DDX_Text(pDX, IDC_DEST_AET, m_destAET);
  DDX_CBIndex(pDX, IDC_PRIORITY, m_priority);
  DDX_CBIndex(pDX, IDC_INFOMODEL, m_infoModel);
  DDX_CBIndex(pDX, IDC_QR_LEVEL, m_qrLevel);
  DDX_Check(pDX, IDC_SHOW_COMMAND, m_showCommand);
  DDX_Check(pDX, IDC_SHOW_DATASET, m_showDataSet);
  DDX_Check(pDX, IDC_PATNAMEC, m_bPatname);
  DDX_Check(pDX, IDC_PATIDC, m_bPatid);
  DDX_Check(pDX, IDC_PATBIRTHC, m_bPatbirth);
  DDX_Check(pDX, IDC_PATSEXC, m_bPatsex);
  DDX_Check(pDX, IDC_STUDYDATEC, m_bStudydate);
  DDX_Check(pDX, IDC_STUDYTIMEC, m_bStudytime);
  DDX_Check(pDX, IDC_STUDYACCESSC, m_bStudyaccess);
  DDX_Check(pDX, IDC_STUDYIDC, m_bStudyid);
  DDX_Check(pDX, IDC_STUDYUIDC, m_bStudyuid);
  DDX_Check(pDX, IDC_STUDYREFPC, m_bStudyrefp);
  DDX_Check(pDX, IDC_STUDYDESCC, m_bStudydesc);
  DDX_Check(pDX, IDC_STUDYREADPC, m_bStudyreadp);
  DDX_Check(pDX, IDC_STUDYIMAGENC, m_bStudyimagen);
  DDX_Check(pDX, IDC_MODALITYC, m_bModality);
  DDX_Check(pDX, IDC_SERIESNOC, m_bSeriesno);
  DDX_Check(pDX, IDC_SERIESUIDC, m_bSeriesuid);
  DDX_Check(pDX, IDC_BODYPARTC, m_bBodypart);
  DDX_Check(pDX, IDC_IMAGENOC, m_bImageno);
  DDX_Check(pDX, IDC_SOPUIDC, m_bSopuid);
  DDX_Text(pDX, IDC_PATNAMEE, m_strPatname);
  DDX_Text(pDX, IDC_PATIDE, m_strPatid);
  DDX_Text(pDX, IDC_PATBIRTHE, m_strPatbirth);
  DDX_Text(pDX, IDC_PATSEXE, m_strPatsex);
  DDX_Text(pDX, IDC_STUDYDATEE, m_strStudydate);
  DDX_Text(pDX, IDC_STUDYTIMEE, m_strStudytime);
  DDX_Text(pDX, IDC_STUDYACCESSE, m_strStudyaccess);
  DDX_Text(pDX, IDC_STUDYIDE, m_strStudyid);
  DDX_Text(pDX, IDC_STUDYUIDE, m_strStudyuid);
  DDX_Text(pDX, IDC_STUDYREFPE, m_strStudyrefp);
  DDX_Text(pDX, IDC_STUDYDESCE, m_strStudydesc);
  DDX_Text(pDX, IDC_STUDYREADPE, m_strStudyreadp);
  DDX_Text(pDX, IDC_STUDYIMAGENE, m_strStudyimagen);
  DDX_Text(pDX, IDC_MODALITYE, m_strModality);
  DDX_Text(pDX, IDC_SERIESNOE, m_strSeriesno);
  DDX_Text(pDX, IDC_SERIESUIDE, m_strSeriesuid);
  DDX_Text(pDX, IDC_BODYPARTE, m_strBodypart);
  DDX_Text(pDX, IDC_IMAGENOE, m_strImageno);
  DDX_Text(pDX, IDC_SOPUIDE, m_strSopuid);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDcmWinQRscuDlg, CDialog)
	//{{AFX_MSG_MAP(CDcmWinQRscuDlg)
  ON_WM_PAINT()
  ON_WM_QUERYDRAGICON()
  ON_BN_CLICKED(IDC_CLEAR_LOG, OnClearLog)
  ON_BN_CLICKED(IDC_CLOSE_ASSOC, OnCloseAssoc)
  ON_BN_CLICKED(IDC_OPEN_ASSOC, OnOpenAssoc)
  ON_BN_CLICKED(IDC_CECHO, OnCecho)
  ON_BN_CLICKED(IDC_CFIND, OnCfind)
  ON_BN_CLICKED(IDC_CMOVE, OnCmove)
  ON_BN_CLICKED(IDC_SELECT_ALL, OnSelectAll)
  ON_BN_CLICKED(IDC_CANCEL_SEL, OnCancelSel)
	ON_CBN_SELENDOK(IDC_QR_LEVEL, OnSelendok)
  ON_WM_SYSCOMMAND()
	ON_CBN_SELENDOK(IDC_INFOMODEL, OnSelendok)
	//}}AFX_MSG_MAP
  ON_CONTROL_RANGE(BN_CLICKED, IDC_PATNAMEC, IDC_SOPUIDC, OnSelect)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDcmWinQRscuDlg message handlers

BOOL CDcmWinQRscuDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
  m_dumper.set(m_logctrl.m_hWnd);
  enableButtons();
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CDcmWinQRscuDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CDcmWinQRscuDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CDcmWinQRscuDlg::OnClearLog() 
{
  m_logctrl.SetWindowText("");
}

void CDcmWinQRscuDlg::OnCloseAssoc() 
{
  m_pdu.Close();
  m_dumper.write("Association was released\r\n");
  enableButtons();
}

void CDcmWinQRscuDlg::OnOpenAssoc() 
{
  if (!UpdateData())
    return;

  m_pdu.ClearAbstractSyntaxs();
  m_pdu.SetLocalAddress((LPCSTR)m_localAET);
  m_pdu.SetRemoteAddress((LPCSTR)m_remoteAET);
  m_pdu.SetTimeOut(m_timeOut);
  m_pdu.SetApplicationContext(UID_APPLICATION_CONTEXT);
  m_pdu.AddAbstractSyntax(UID_VERIFICATION_SOP_CLASS);
  m_pdu.AddAbstractSyntax(UID_PAT_QR_FIND_SOP_CLASS);
  m_pdu.AddAbstractSyntax(UID_PAT_QR_MOVE_SOP_CLASS);
  m_pdu.AddAbstractSyntax(UID_STUDY_QR_FIND_SOP_CLASS);
  m_pdu.AddAbstractSyntax(UID_STUDY_QR_MOVE_SOP_CLASS);
  m_pdu.AddAbstractSyntax(UID_PSONLY_QR_FIND_SOP_CLASS);
  m_pdu.AddAbstractSyntax(UID_PSONLY_QR_MOVE_SOP_CLASS);

  if(!m_pdu.Connect((LPCSTR)m_host, (LPCSTR)m_port))
  {
    m_echoSOP = m_patFindSOP = m_studyFindSOP = m_psOnlyFindSOP =
      m_patMoveSOP = m_studyMoveSOP = m_psOnlyMoveSOP = FALSE;
    // Some error.  Print out AAssociateRJ data
    static const char* RESULT[3] = {
      "undefined value for Result!",
      "rejected-permanent",
      "rejected-transient"
    };
    static const char* SOURCE[4] = {
      "undefined value for Source!",
      "DICOM UL service-user",
      "DICOM UL service-provider (ACSE related function)",
      "DICOM UL service-provider (Presentation related function)"
    };
    static const char* REASON1[11] = {
      "undefined value for reason!",
      "no-reason-given",
      "application-context-name-not-supported",
      "calling-AE-title-not-recognized",
      "reserved",
      "reserved",
      "reserved",
      "called-AE-title-not-recognized"
      "reserved",
      "reserved",
      "reserved"
    };
    static const char* REASON2[3] = {
      "undefined value for reason!",
      "no-reason-given",
      "protocol-version-not-supported"
    };
    static const char* REASON3[8] = {
      "reserved",
      "temporary-congestion",
      "local-limit-exceeded",
      "reserved",
      "reserved",
      "reserved",
      "reserved",
      "reserved"
    };
    CString prompt;
    int result = m_pdu.AAssociateRJ :: Result;
    if (result >= 2) result = 0;
    int source = m_pdu.AAssociateRJ :: Source;
    int reason = m_pdu.AAssociateRJ :: Reason;
    const char** REASON = REASON1;
    switch (source)
    {
    case 0:
      reason = 0;
      break;
    case 1:
      if (reason >= 11) reason = 0;
      break;
    case 2:
      REASON = REASON2;
      if (reason >= 3) reason = 0;
      break;
    case 3:
      REASON = REASON3;
      if (reason >= 8) reason = 0;
      break;
    default:
      source = 0;
      reason = 0;
    }
    prompt.Format("Association was rejected:\r\n"
      "  Result: %d - %s\r\n"
      "  Source: %d - %s\r\n"
      "  Reason: %d - %s\r\n",
      m_pdu.AAssociateRJ :: Result, RESULT[result],
      m_pdu.AAssociateRJ :: Source, SOURCE[source],
      m_pdu.AAssociateRJ :: Reason, REASON[reason]);
    m_dumper.write(prompt);
  } else
  {
    m_echoSOP = m_pdu.GetPresentationContextID(
      UID_VERIFICATION_SOP_CLASS, UID_IMPL_VR_LE_TRANSFER_SYNTAX) != 0;
    m_patFindSOP = m_pdu.GetPresentationContextID(
      UID_PAT_QR_FIND_SOP_CLASS, UID_IMPL_VR_LE_TRANSFER_SYNTAX) != 0;
    m_studyFindSOP = m_pdu.GetPresentationContextID(
      UID_STUDY_QR_FIND_SOP_CLASS, UID_IMPL_VR_LE_TRANSFER_SYNTAX) != 0;
    m_psOnlyFindSOP = m_pdu.GetPresentationContextID(
      UID_PSONLY_QR_FIND_SOP_CLASS, UID_IMPL_VR_LE_TRANSFER_SYNTAX) != 0;
    m_patMoveSOP = m_pdu.GetPresentationContextID(
      UID_PAT_QR_MOVE_SOP_CLASS, UID_IMPL_VR_LE_TRANSFER_SYNTAX) != 0;
    m_studyMoveSOP = m_pdu.GetPresentationContextID(
      UID_STUDY_QR_MOVE_SOP_CLASS, UID_IMPL_VR_LE_TRANSFER_SYNTAX) != 0;
    m_psOnlyMoveSOP = m_pdu.GetPresentationContextID(
      UID_PSONLY_QR_MOVE_SOP_CLASS, UID_IMPL_VR_LE_TRANSFER_SYNTAX) != 0;
    static const char* ACCEPTED[2] = { "Reject", "Accept" };
    CString prompt;
    prompt.Format("Association was accepted:\r\n"
      "  %s Verification SOP Class\r\n"
      "  %s Patient Root Q/R IM - FIND SOP Class\r\n"
      "  %s Study Root Q/R IM - FIND SOP Class\r\n"
      "  %s Patient/Study only Q/R IM - FIND SOP Class\r\n"
      "  %s Patient Root Q/R IM - MOVE SOP Class\r\n"
      "  %s Study Root Q/R IM - MOVE SOP Class\r\n"
      "  %s Patient/Study only Q/R IM - MOVE SOP Class\r\n",
      ACCEPTED[m_echoSOP],
      ACCEPTED[m_patFindSOP],
      ACCEPTED[m_studyFindSOP],
      ACCEPTED[m_psOnlyFindSOP],
      ACCEPTED[m_patMoveSOP],
      ACCEPTED[m_studyMoveSOP],
      ACCEPTED[m_psOnlyMoveSOP]);
      m_dumper.write(prompt);
  }
  enableButtons();
}

void CDcmWinQRscuDlg::OnCecho() 
{
  CEchoSCU verify;
  m_dumper.write("Write C-ECHO RQ\r\n"); 
  if (!verify.writeRQ(m_pdu))
  {
    m_dumper.write("Writing C-ECHO RQ failed\r\n"); 
  } else
  {
    UINT16 stat;
    DataSet rsp;
    m_dumper.write("Waiting for C-ECHO RSP\r\n");
    if (!verify.readRSP(&stat, &rsp, m_pdu))
    {
      m_dumper.write("Reading C-ECHO RSP failed\r\n");
    }
    else
      if (m_showCommand)
      {
        m_dumper.write("Received Command:\r\n");
        m_dumper.write(rsp);
      }
  }
  enableButtons();
}

static const char* QRLEVEL[4] = {
  "PATIENT",
  "STUDY",
  "SERIES",
  "IMAGE"
};

void CDcmWinQRscuDlg::OnCfind() 
{
  if (!UpdateData())
    return;

  static const char* FIND_SOP_CLASS[3] = {
    UID_PAT_QR_FIND_SOP_CLASS,
    UID_STUDY_QR_FIND_SOP_CLASS,
    UID_PSONLY_QR_FIND_SOP_CLASS
  };
  CFindSCU findSCU(FIND_SOP_CLASS[m_infoModel]);
  m_dumper.write("Write C-FIND RQ\r\n");
  DataSet key;
  makeKey(&key);
  if (!findSCU.writeRQ(m_pdu, key, m_priority))
  {
    m_dumper.write("Writing C-FIND RQ failed\r\n");
  } else
  {
    UINT16 stat = ST_PENDING;
    while (stat == ST_PENDING || stat == ST_PENDING1)
    {
      DataSet rsp;
      DataSet data;
      if (!findSCU.readRSP(&stat, &rsp, &data, m_pdu))
      {
        m_dumper.write("Reading C-FIND RSP failed\r\n");
        break;
      }
      if (m_showCommand)
      {
        m_dumper.write("Received Command:\r\n");
        m_dumper.write(rsp);
      }
      if (m_showDataSet && !data.empty())
      {
        m_dumper.write("Received Data:\r\n");
        m_dumper.write(data);
      }
    }
  }
  enableButtons();
}

void CDcmWinQRscuDlg::OnCmove() 
{
  if (!UpdateData())
    return;

  static const char* MOVE_SOP_CLASS[3] = {
    UID_PAT_QR_MOVE_SOP_CLASS,
    UID_STUDY_QR_MOVE_SOP_CLASS,
    UID_PSONLY_QR_MOVE_SOP_CLASS
  };
  CMoveSCU moveSCU(MOVE_SOP_CLASS[m_infoModel]);
  m_dumper.write("Write C-MOVE RQ\r\n");

  makeKey(&key);
  if (!moveSCU.writeRQ(m_pdu, (LPCSTR)m_destAET, key, m_priority))
  {
    m_dumper.write("Writing C-MOVE RQ failed\r\n");
  } else
  {
    UINT16 stat = ST_PENDING;
    while (stat == ST_PENDING || stat == ST_PENDING1)
    {
      DataSet rsp;
      DataSet data;
      if (!moveSCU.readRSP(&stat, &rsp, &data, m_pdu))
      {
        m_dumper.write("Reading C-MOVE RSP failed\r\n");
        break;
      }
      if (m_showCommand)
      {
        m_dumper.write("Received Command:\r\n");
        m_dumper.write(rsp);
      }
      if (m_showDataSet && !data.empty())
      {
        m_dumper.write("Received Data:\r\n");
        m_dumper.write(data);
      }
    }
  }
  enableButtons();
}

void CDcmWinQRscuDlg::OnSelectAll() 
{
  for (UINT nID = IDC_PATNAMEC; nID <= IDC_SOPUIDC; ++nID)
  {
    CButton* pButton = static_cast<CButton*>(GetDlgItem(nID));
    if (!pButton->GetCheck())
    {
      pButton->SetCheck(1);
      pButton->GetNextWindow()->EnableWindow(TRUE);
    }
  }
  enableButtons();
}

void CDcmWinQRscuDlg::OnCancelSel() 
{
  for (UINT nID = IDC_PATNAMEC; nID <= IDC_SOPUIDC; ++nID)
  {
    CButton* pButton = static_cast<CButton*>(GetDlgItem(nID));
    if (pButton->GetCheck())
    {
      pButton->SetCheck(0);
      pButton->GetNextWindow()->EnableWindow(FALSE);
    }
  }
  enableButtons();
}

void CDcmWinQRscuDlg::OnOK()
{

}
void CDcmWinQRscuDlg::OnSelect(UINT nID) 
{
  CButton* pButton = static_cast<CButton*>(GetDlgItem(nID));
  BOOL checked = pButton->GetCheck();
  pButton->GetNextWindow()->EnableWindow(checked);
  enableButtons();
}

void CDcmWinQRscuDlg::enableButtons()
{
  BOOL isOpen = m_pdu.IsOpen();
  GetDlgItem(IDC_OPEN_ASSOC)->EnableWindow(!isOpen);
  GetDlgItem(IDC_CLOSE_ASSOC)->EnableWindow(isOpen);
  GetDlgItem(IDC_CECHO)->EnableWindow(isOpen && m_echoSOP);
  bool validInfoModelQRlevel = m_infoModel == 0 ||
    m_infoModel == 1 && m_qrLevel != 0 || m_qrLevel < 2;
  GetDlgItem(IDC_CFIND)->EnableWindow(isOpen && validInfoModelQRlevel
    && (m_infoModel == 0 ? m_patFindSOP :
        m_infoModel == 1 ? m_studyFindSOP : m_psOnlyFindSOP));
  GetDlgItem(IDC_CMOVE)->EnableWindow(isOpen && validInfoModelQRlevel
    && (m_infoModel == 0 ? m_patMoveSOP :
        m_infoModel == 1 ? m_studyMoveSOP : m_psOnlyMoveSOP));
}

void CDcmWinQRscuDlg::makeKey(DataSet *key) const
{
  key->insertElem(TAG_QR_LEVEL, VR_CS, QRLEVEL[m_qrLevel]);
  if (m_bPatname)
    key->insertElem(TAG_PAT_NAME, VR_PN, (LPCSTR)m_strPatname);
  if (m_bPatid)
    key->insertElem(TAG_PAT_ID, VR_LO, (LPCSTR)m_strPatid);
  if (m_bPatbirth)
    key->insertElem(TAG_PAT_BIRTH_DATE, VR_DA, (LPCSTR)m_strPatbirth);
  if (m_bPatsex)
    key->insertElem(TAG_PAT_SEX, VR_CS, (LPCSTR)m_strPatsex);
  if (m_bStudydate)
    key->insertElem(TAG_STUDY_DATE, VR_DA, (LPCSTR)m_strStudydate);
  if (m_bStudytime)
    key->insertElem(TAG_STUDY_TIME, VR_TM, (LPCSTR)m_strStudytime);
  if (m_bStudyaccess)
    key->insertElem(TAG_ACCESS_NO, VR_SH, (LPCSTR)m_strStudyaccess);
  if (m_bStudyid)
    key->insertElem(TAG_STUDY_ID, VR_SH, (LPCSTR)m_strStudyid);
  if (m_bStudyuid)
    key->insertElem(TAG_STUDY_INST_UID, VR_UI, (LPCSTR)m_strStudyuid);
  if (m_bStudyrefp)
    key->insertElem(TAG_PERF_PHYS_NAME, VR_PN, (LPCSTR)m_strStudyrefp);
  if (m_bStudydesc)
    key->insertElem(TAG_STUDY_DESC, VR_LO, (LPCSTR)m_strStudydesc);
  if (m_bStudyreadp)
    key->insertElem(TAG_READ_PHYS_NAME, VR_PN, (LPCSTR)m_strStudyreadp);
  if (m_bStudyimagen)
    key->insertElem(TAG_NO_STUDY_REL_IMAGES, VR_IS, (LPCSTR)m_strStudyimagen);
  if (m_bModality)
    key->insertElem(TAG_MODALITY, VR_CS, (LPCSTR)m_strModality);
  if (m_bSeriesno)
    key->insertElem(TAG_SERIES_NO, VR_IS, (LPCSTR)m_strSeriesno);
  if (m_bSeriesuid)
    key->insertElem(TAG_SERIES_INST_UID, VR_UI, (LPCSTR)m_strSeriesuid);
  if (m_bBodypart)
    key->insertElem(TAG_BODY_PART_EXAMINED, VR_CS, (LPCSTR)m_strBodypart);
  if (m_bImageno)
    key->insertElem(TAG_IMAGE_NO, VR_IS, (LPCSTR)m_strImageno);
  if (m_bSopuid)
    key->insertElem(TAG_SOP_INST_UID, VR_UI, (LPCSTR)m_strSopuid);
}

void CDcmWinQRscuDlg::OnSelendok() 
{
  CDataExchange dx(this, true);
  DDX_CBIndex(&dx, IDC_INFOMODEL, m_infoModel);
  DDX_CBIndex(&dx, IDC_QR_LEVEL, m_qrLevel);
  enableButtons();
}
